import React from 'react'
import { translate } from 'cozy-ui/react/I18n'
import FluidConfigService from 'services/fluidConfigService'
import IFluidConfig from 'services/IFluidConfig'
import KonnectorViewerList from 'components/ContentComponents/KonnectorViewer/KonnectorViewerList'

interface KonnectorViewerContainerProps {
  isParam: boolean
  t: Function
}

const KonnectorViewerContainer: React.FC<KonnectorViewerContainerProps> = ({
  isParam = false,
  t,
}: KonnectorViewerContainerProps) => {
  const fluidConfigs: IFluidConfig[] = new FluidConfigService().getFluidConfig()
  return (
    <div className="kv-root">
      <div className="kv-content">
        <div className="kv-header text-14-normal-uppercase">
          {t('KONNECTORCONFIG.TITLE_CONNECTION')}
        </div>
        <KonnectorViewerList isParam={isParam} fluidConfigs={fluidConfigs} />
      </div>
    </div>
  )
}

export default translate()(KonnectorViewerContainer)
