import React, { useEffect, Fragment } from 'react'
import { withRouter } from 'react-router-dom'
import { history } from 'components/ContainerComponents/ViewContainer/ViewContainer'

interface ScrollToTopProps {
  children?: React.ReactNode
}

function ScrollToTop({ children }: ScrollToTopProps) {
  useEffect(() => {
    const unlisten = history.listen(() => {
      window.scrollTo(0, 0)
    })
    return () => {
      unlisten()
    }
  }, [])

  return <Fragment>{children}</Fragment>
}

export default withRouter(ScrollToTop)
