import React, { useState } from 'react'
import CozyBar from 'components/ContainerComponents/CozyBar/CozyBar'
import Header from 'components/ContainerComponents/Header/Header'
import Content from 'components/ContainerComponents/Content/Content'
import KonnectorViewerContainer from 'components/ContainerComponents/KonnectorViewerContainer/KonnectorViewerContainer'
import FAQContainer from 'components/ContainerComponents/FAQContainer/FAQContainer'

const ParametersViewContainer: React.FC = () => {
  const [headerHeight, setHeaderHeight] = useState<number>(0)
  const defineHeaderHeight = (height: number) => {
    setHeaderHeight(height)
  }
  return (
    <React.Fragment>
      <CozyBar titleKey={'COMMON.APP_PARAMETERS_TITLE'} />
      <Header
        setHeaderHeight={defineHeaderHeight}
        desktopTitleKey={'COMMON.APP_PARAMETERS_TITLE'}
      ></Header>
      <Content height={headerHeight}>
        <FAQContainer />
        <KonnectorViewerContainer isParam={true} />
      </Content>
    </React.Fragment>
  )
}

export default ParametersViewContainer
